<?php

namespace App\Generated\V1_1\Messages\Homepage;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class FeedScoreMessage extends Message
{
    use ValueHelper;

    protected $partnerId;
    protected $result;

    /**
     * @return int
     */
    public function getPartnerId()
    {
        return $this->partnerId;
    }

    public function requestRules()
    {
        return [
            ['partnerId', 'partner_id', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
